unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    Function SendCommand(Cmd: String) : Boolean;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

Function GetAcadWindow: HWnd;
var
  Acad : OleVariant;
  Caption : String;
begin
  Acad := GetActiveOleObject('AutoCAD.Application');
  Try
    Caption := Acad.Caption;
  except
    on EOleSysError do
    begin
      Result := 0;
      Exit;
    end;
  end;
  Result := FindWindow(Nil, PChar(Caption));
end;

function TForm1.SendCommand(Cmd: String) : boolean;
var
  cds: TCopyDataStruct;
  wnd, sender : HWND;
  s : integer;
  pData : array [0..255] of char;
begin;
  result := False;
  wnd := GetAcadWindow;
  sender := Application.Handle;
  if wnd <> 0 then
  begin
    StrPCopy(pData, Cmd + #13);
    pData[Length(Cmd)+1] := #0;
    cds.dwData := 1;
    cds.cbData := SizeOf(pData);
    cds.lpData := @pData;
    Result := SendMessage(wnd, WM_COPYDATA, Sender, LParam(@cds)) <> 0;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  If Edit1.Text <> '' then
    SendCommand(Edit1.Text);
end;

end.
